
Ruby - Bug #12914

FTPTest#test_list_read_timeout_exceeded causes EPROTOTYPE on Mac OS X 10.10

11/10/2016 02:55 AM - shugo (Shugo Maeda)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

FTPTest#test_list_read_timeout_exceeded sometimes causes EPROTOTYPE on Mac OS X 10.10.

From http://rubyci.org/logs/rubyci.s3.amazonaws.com/osx1010/ruby-trunk/log/20161106T234501Z.fail.html.gz:

  1) Failure:

FTPTest#test_list_read_timeout_exceeded [/Users/hsbt/Documents/cb/tmp/build/20161106T234501Z/ruby/

test/net/ftp/test_ftp.rb:356]:

Expected #<Errno::EPROTOTYPE: Protocol wrong type for socket> to be nil.

Finished tests in 332.993252s, 50.3013 tests/s, 6726.4937 assertions/s.

16750 tests, 2239877 assertions, 1 failures, 0 errors, 42 skips

ruby -v: ruby 2.4.0dev (2016-11-07 trunk 56648) [x86_64-darwin14]

 But I don't have any Mac.

Could anyone reproduce this bug?

dtruss output might be helpful to solve this bug.

Related issues:

Related to Ruby - Bug #14713: <internal:prelude>:132:in `__write_nonblock': P... Closed

Associated revisions

Revision c0652defae7d5d508a54d400934d36c2fbccef4d - 11/23/2016 05:26 AM - shugo (Shugo Maeda)

rescue Errno::EPROTOTYPE in FTPTest#test_list_read_timeout_exceeded.

Errno::EPROTOTYPE is sometimes raised on Mac OS X 10.10.

[ruby-core:78066] [Bug #12914]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56882 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision c0652def - 11/23/2016 05:26 AM - shugo (Shugo Maeda)

rescue Errno::EPROTOTYPE in FTPTest#test_list_read_timeout_exceeded.

Errno::EPROTOTYPE is sometimes raised on Mac OS X 10.10.

[ruby-core:78066] [Bug #12914]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56882 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/23/2016 05:26 AM - shugo (Shugo Maeda)

- Status changed from Open to Closed

Applied in changeset r56882.

rescue Errno::EPROTOTYPE in FTPTest#test_list_read_timeout_exceeded.

Errno::EPROTOTYPE is sometimes raised on Mac OS X 10.10.

[ruby-core:78066] [Bug #12914]
#2 - 04/29/2018 01:08 PM - nobu (Nobuyoshi Nakada)

- Related to Bug #14713: <internal:prelude>:132:in `__write_nonblock': Protocol wrong type for socket (Errno::EPROTOTYPE) added
